Loading...
Searching...
No Matches
BALL::JohnsonBoveyShiftProcessor Class Reference
Molecular Modeling » Nuclear Magnetic Resonance Spectroscopy » Shift modules

`#include <BALL/NMR/johnsonBoveyShiftProcessor.h>`

Inheritance diagram for BALL::JohnsonBoveyShiftProcessor:

## Classes

struct | Ring

## Public Member Functions

Constructors and Destructors
| JohnsonBoveyShiftProcessor ()
virtual | ~JohnsonBoveyShiftProcessor ()
Processor specific functions.
virtual bool | start ()
virtual bool | finish ()
virtual Processor::Result | operator() (Composite &composite)
Public Member Functions inherited from BALL::ShiftModule
| ShiftModule ()
| ShiftModule (Parameters &parameters, const String &name="")
| ShiftModule (const ShiftModule &module)
virtual | ~ShiftModule ()
virtual void | clear ()
const ShiftModule & | operator= (const ShiftModule &module)
void | setName (const String &name)
const String & | getName () const
void | setParameters (Parameters &parameters)
const Parameters * | getParameters () const
bool | isValid () const
Public Member Functions inherited from BALL::UnaryProcessor< Composite >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()

## Static Public Attributes

Enums and Constants
static const char * | PROPERTY__RING_CURRENT_SHIFT
Static Public Attributes inherited from BALL::ShiftModule
static const char * | PROPERTY__SHIFT
static const char * | PROPERTY__EXPERIMENTAL__SHIFT

## Accessors

std::list< Atom * > | proton_list_
std::list< Atom * > | atom_list_
std::list< Residue * > | aromat_list_
StringHashMap< Ring > | rings_
StringHashMap< Position > | residues_with_rings_
std::vector< Expression > | expressions_
virtual void | init ()
double | carlsonEllipticalIntegral1_ (double, double, double)
double | carlsonEllipticalIntegral2_ (double, double, double)
double | legendreEllipticalIntegral1_ (double, double)
double | legendreEllipticalIntegral2_ (double, double)

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
String | module_name_
Parameters * | parameters_
bool | valid_

## Detailed Description

Shift assignment processor implementing Johnson Bovey theory.

Definition at line 38 of file johnsonBoveyShiftProcessor.h.

## Constructor & Destructor Documentation

## JohnsonBoveyShiftProcessor()

BALL::JohnsonBoveyShiftProcessor::JohnsonBoveyShiftProcessor | ( |  | ) |

Default constructor.

## ~JohnsonBoveyShiftProcessor()

virtual BALL::JohnsonBoveyShiftProcessor::~JohnsonBoveyShiftProcessor | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## carlsonEllipticalIntegral1_()

double BALL::JohnsonBoveyShiftProcessor::carlsonEllipticalIntegral1_ | ( | double | ,
|  | double | ,
|  | double | )

protected

## carlsonEllipticalIntegral2_()

double BALL::JohnsonBoveyShiftProcessor::carlsonEllipticalIntegral2_ | ( | double | ,
|  | double | ,
|  | double | )

protected

## finish()

virtual bool BALL::JohnsonBoveyShiftProcessor::finish | ( |  | ) |

virtual

Finish method.

Reimplemented from BALL::ShiftModule.

## init()

virtual void BALL::JohnsonBoveyShiftProcessor::init | ( |  | ) |

virtual

Initialize all parameters required

Reimplemented from BALL::ShiftModule.

## legendreEllipticalIntegral1_()

double BALL::JohnsonBoveyShiftProcessor::legendreEllipticalIntegral1_ | ( | double | ,
|  | double | )

protected

## legendreEllipticalIntegral2_()

double BALL::JohnsonBoveyShiftProcessor::legendreEllipticalIntegral2_ | ( | double | ,
|  | double | )

protected

## operator()()

virtual Processor::Result BALL::JohnsonBoveyShiftProcessor::operator() | ( | Composite & | composite | ) |

virtual

Application method

Reimplemented from BALL::UnaryProcessor< Composite >.

## start()

virtual bool BALL::JohnsonBoveyShiftProcessor::start | ( |  | ) |

virtual

Start method.

Reimplemented from BALL::ShiftModule.

## Member Data Documentation

## aromat_list_

std::list<Residue*> BALL::JohnsonBoveyShiftProcessor::aromat_list_

protected

Definition at line 118 of file johnsonBoveyShiftProcessor.h.

## atom_list_

std::list<Atom*> BALL::JohnsonBoveyShiftProcessor::atom_list_

protected

Definition at line 117 of file johnsonBoveyShiftProcessor.h.

## expressions_

std::vector<Expression> BALL::JohnsonBoveyShiftProcessor::expressions_

protected

Definition at line 121 of file johnsonBoveyShiftProcessor.h.

## PROPERTY__RING_CURRENT_SHIFT

const char* BALL::JohnsonBoveyShiftProcessor::PROPERTY__RING_CURRENT_SHIFT

static

A symbolic name for the ring current contribution to the chemical shift

See also
  ShiftModule::PROPERTY__SHIFT

Definition at line 70 of file johnsonBoveyShiftProcessor.h.

## proton_list_

std::list<Atom*> BALL::JohnsonBoveyShiftProcessor::proton_list_

protected

Definition at line 116 of file johnsonBoveyShiftProcessor.h.

## residues_with_rings_

StringHashMap<Position> BALL::JohnsonBoveyShiftProcessor::residues_with_rings_

protected

Definition at line 120 of file johnsonBoveyShiftProcessor.h.

## rings_

StringHashMap<Ring> BALL::JohnsonBoveyShiftProcessor::rings_

protected

Definition at line 119 of file johnsonBoveyShiftProcessor.h.